package ext.app.domain {

[Uses("ext.app.domain.SStoreEventDomain")]
[Uses("ext.app.EventDomain")]
[Uses("ext.Base")]
[Native("Ext.app.domain.Store", require)]
/**
 * This class implements the data store event domain. All classes extending from
 * <code>ext.data.AbstractStore</code> are included in this domain. The selectors are simply
 * store id, alias or the wildcard "&#42;" to match any store.
 * @see ext.data.AbstractStore
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.app.domain.Store.html Original Ext JS documentation of 'Ext.app.domain.Store'
 */
public const StoreEventDomain:ext.app.domain.SStoreEventDomain;
}