package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class NodeInterface_node_isMove_contextEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a child node is removed
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.NodeInterface.html#event-remove Original Ext JS documentation of 'remove'
   * @see ext.data.NodeInterface
   * @eventType onRemove
   */
  public static const REMOVE:String = "onRemove";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function NodeInterface_node_isMove_contextEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * An object providing information about where the removed node came from. It contains the following properties:
   */
  public native function get context():Object;

  /**
   * <code>true</code> if the child node is being removed so it can be moved to another position in the tree.
   */
  public native function get isMove():Boolean;

  /**
   * The removed node
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;
}
}