package ext.data.session {

[Uses("ext.data.session.ChangesVisitor")]
[Uses("ext.Base")]
[Native("Ext.data.session.ChildChangesVisitor", require)]
/**
 * This visitor class adds extra capability to consider changes as
 * they would be considered for a parent session.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.session.ChildChangesVisitor.html Original Ext JS documentation of 'Ext.data.session.ChildChangesVisitor'
 */
public class ChildChangesVisitor extends ext.data.session.ChangesVisitor {}
}