package ext.env {

[Native("Ext.env.OS", require)]
[ExcludeClass]
/**
 * Provides information about operating system environment.
 * <p>Should not be manually instantiated unless for unit-testing.
 * Access the global instance stored in <code>ext.Sos</code> instead.</p>
 * @see ext.Sos
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.env.OS.html Original Ext JS documentation of 'Ext.env.OS'
 */
public class OS extends Object {}
}