package ext.event.gesture {

[Uses("ext.event.gesture.SingleTouch")]
[Uses("ext.event.gesture.GestureRecognizer")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.Base")]
[Native("Ext.event.gesture.Swipe", require)]
/**
 * A gesture recognizer for swipe events
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.event.gesture.Swipe.html Original Ext JS documentation of 'Ext.event.gesture.Swipe'
 */
public class Swipe extends ext.event.gesture.SingleTouch {
  /**
   * @param config @inheritDoc
   */
  public function Swipe(config:ext.event.gesture.Swipe = null) {
    super();
  }
}
}