package ext.form.action {
import ext.IMixin;

[Uses("ext.Mixin")]
[Uses("ext.form.action.DirectAction")]
[Uses("ext.Base")]
[Mixin("ext.form.action.DirectAction")]
/**
 * A mixin that contains methods specific to Ext Direct actions shared
 * by DirectLoad and DirectSubmit.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.form.action.DirectAction.html Original Ext JS documentation of 'Ext.form.action.DirectAction'
 * @see ext.form.action.DirectAction
 */
public interface IDirectAction extends ext.IMixin {}
}