package ext.fx.target {

[Uses("ext.fx.target.Target")]
[Uses("ext.Base")]
[Native("Ext.fx.target.Component", require)]
/**
 * This class represents a animation target for a <code>ext.Component</code>. In general this class will not be
 * created directly, the <code>ext.Component</code> will be passed to the animation and
 * and the appropriate target will be created.
 * @see ext.Component
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.fx.target.Component.html Original Ext JS documentation of 'Ext.fx.target.Component'
 */
public class ComponentTarget extends ext.fx.target.Target {
  /**
   * @inheritDoc
   */
  public function ComponentTarget(target:* = undefined) {
    super(undefined);
  }
}
}