package ext.grid.filters.filter {

[Uses("ext.grid.filters.filter.BaseFilter")]
[Uses("ext.mixin.Factoryable")]
[Uses("ext.Base")]
[Native("Ext.grid.filters.filter.SingleFilter", require)]
/**
 * This abstract base class is used by grid filters that have a single
 * <i>store filter</i>.
 * @see ext.data.Store#filters store filter
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.filters.filter.SingleFilter.html Original Ext JS documentation of 'Ext.grid.filters.filter.SingleFilter'
 */
public class SingleFilter extends ext.grid.filters.filter.BaseFilter {
  /**
   * @inheritDoc
   */
  public function SingleFilter(config:ext.grid.filters.filter.BaseFilter = null) {
    super();
  }
}
}