package ext.panel {
import ext.container.Container;

[Uses("ext.container.Container")]
[Uses("ext.mixin.Queryable")]
[Uses("ext.Base")]
[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Uses("ext.mixin.Container")]
[Native("Ext.panel.Bar", require)]
[ExcludeClass]
/**
 * Abstract base class for common functionality shared between <code>ext.panel.PanelHeader</code>
 * and <code>ext.tab.TabBar</code>
 * @see ext.panel.PanelHeader
 * @see ext.tab.TabBar
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Bar.html Original Ext JS documentation of 'Ext.panel.Bar'
 */
public class PanelBar extends ext.container.Container {
  /**
   * @inheritDoc
   */
  public function PanelBar(config:ext.container.Container = null) {
    super();
  }
}
}