package ext.tree.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreePanel_node_isMove_contextEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a child node is removed
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.tree.Panel.html#event-itemremove Original Ext JS documentation of 'itemremove'
   * @see ext.tree.TreePanel
   * @eventType onItemRemove
   */
  public static const ITEM_REMOVE:String = "onItemRemove";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TreePanel_node_isMove_contextEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * An object providing information about where the removed node came from. It contains the following properties:
   */
  public native function get context():Object;

  /**
   * <code>true</code> if the child node is being removed so it can be moved to another position in the tree.
   */
  public native function get isMove():Boolean;

  /**
   * The removed node
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;
}
}