package ext.util {

[Uses("ext.util.DelimitedValue")]
[Uses("ext.Base")]
[Native("Ext.util.CSV", require)]
/**
 * This class contains utility methods for dealing with CSV (Comma Separated Values) as
 * specified in <a href="http://tools.ietf.org/html/rfc4180">RFC 4180</a>.
 * <p>For details see <code>ext.util.DelimitedValue</code>.</p>
 * @see ext.util.DelimitedValue
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.CSV.html Original Ext JS documentation of 'Ext.util.CSV'
 */
public const CSV:ext.util.DelimitedValue;
}