package ext.util.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractMixedCollectionEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the collection is cleared.
   * @since 1.1.0
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.AbstractMixedCollection.html#event-clear Original Ext JS documentation of 'clear'
   * @see ext.util.AbstractMixedCollection
   * @eventType onClear
   */
  public static const CLEAR:String = "onClear";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function AbstractMixedCollectionEvent(type:String, arguments:Array) {
    super(null, null);
  }
}
}