Ext.define("ext.grid.plugin.events.GridViewDragDropPlugin_node_data_overModel_dropPositionEvent", function(GridViewDragDropPlugin_node_data_overModel_dropPositionEvent) {/*package ext.grid.plugin.events {
import ext.data.Model;

import js.HTMLElement;

import net.jangaroo.ext.FlExtEvent;

public class GridViewDragDropPlugin_node_data_overModel_dropPositionEvent extends FlExtEvent {
  /**
   * <b>This event is fired through the <code>GridView</code> and its owning
   * <code>ext.grid.GridPanel</code>. You can add listeners to the grid or grid <i>view config</i> object</b>
   * <p>Fired when a drop operation has been completed and the data has been moved or
   * copied.</p>
   * @see ext.view.TableView
   * @see ext.grid.GridPanel
   * @see ext.grid.GridPanel#viewConfig view config
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.plugin.DragDrop.html#event-drop Original Ext JS documentation of 'drop'
   * @see ext.grid.plugin.GridViewDragDropPlugin
   * @eventType onDrop
   * /
  public static const DROP:String = "onDrop";
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){GridViewDragDropPlugin_node_data_overModel_dropPositionEvent.__PARAMETER_SEQUENCE__=( ["node", "data", "overModel", "dropPosition", "eOpts"]);}/*;

  public*/ function GridViewDragDropPlugin_node_data_overModel_dropPositionEvent$(type/*:String*/, arguments/*:Array*/) {
    this.super$2(type, arguments);
  }/*

  /**
   * The data object gathered at mousedown time by the
   * cooperating <code>ext.dd.DragZone</code>'s <code>getDragData</code> method. It contains the following properties:
   * @see ext.dd.DragZone
   * @see ext.dd.DragZone#getDragData()
   * /
  public native function get data():Object;

  /**
   * <code>"before"</code> or <code>"after"</code> depending on whether the
   * cursor is above or below the mid-line of the node.
   * /
  public native function get dropPosition():String;

  /**
   * The <code>GridView</code> node <b>if any</b> over
   * which the cursor was positioned.
   * @see ext.view.TableView
   * /
  public native function get node():HTMLElement;

  /**
   * The Model over which the drop gesture took
   * place.
   * /
  public native function get overModel():Model;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: GridViewDragDropPlugin_node_data_overModel_dropPositionEvent$,
      super$2: function() {
        net.jangaroo.ext.FlExtEvent.prototype.constructor.apply(this, arguments);
      },
      statics: {
        DROP: "onDrop",
        __PARAMETER_SEQUENCE__: undefined,
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
