package ext.dashboard {
import ext.container.Container;

[Uses("ext.container.Container")]
[Uses("ext.mixin.Queryable")]
[Uses("ext.Base")]
[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Uses("ext.mixin.Container")]
[Native("Ext.dashboard.Column", require)]
/**
 * This class manages columns in a <code>Dashboard</code>. The primary role here is the <code>defaultType</code>
 * config which points to <code>ext.dashboard.DashboardPanel</code> and the self-destruct mechanism to get
 * rid of empty columns.
 * @see #defaultType
 * @see ext.dashboard.DashboardPanel
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.dashboard.Column.html Original Ext JS documentation of 'Ext.dashboard.Column'
 */
public class DashboardColumn extends ext.container.Container {
  /**
   * @param config @inheritDoc
   */
  public function DashboardColumn(config:ext.dashboard.DashboardColumn = null) {
    super();
  }
}
}