package ext.event.gesture {

[Uses("ext.event.gesture.SingleTouch")]
[Uses("ext.event.gesture.GestureRecognizer")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.Base")]
[Native("Ext.event.gesture.LongPress", require)]
/**
 * A event recognizer which knows when you tap and hold for more than 1 second.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.event.gesture.LongPress.html Original Ext JS documentation of 'Ext.event.gesture.LongPress'
 */
public class LongPress extends ext.event.gesture.SingleTouch {
  /**
   * @param config @inheritDoc
   */
  public function LongPress(config:ext.event.gesture.LongPress = null) {
    super();
  }
}
}