package ext.event.gesture {

[Uses("ext.event.gesture.GestureRecognizer")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.Base")]
[Native("Ext.event.gesture.MultiTouch", require)]
[ExcludeClass]
/**
 * A base class for gesture recognizers that involve multiple simultaneous contact points
 * between the screen and the input-device, e.g. 'pinch' and 'rotate'
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.event.gesture.MultiTouch.html Original Ext JS documentation of 'Ext.event.gesture.MultiTouch'
 */
public class MultiTouch extends ext.event.gesture.GestureRecognizer {
  /**
   * @inheritDoc
   */
  public function MultiTouch(config:ext.event.gesture.GestureRecognizer = null) {
    super();
  }
}
}