package ext.event.gesture {

[Uses("ext.event.gesture.GestureRecognizer")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.Base")]
[Native("Ext.event.gesture.SingleTouch", require)]
[ExcludeClass]
/**
 * A base class for gesture recognizers that are only concerned with a single point of
 * contact between the screen and the input-device.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.event.gesture.SingleTouch.html Original Ext JS documentation of 'Ext.event.gesture.SingleTouch'
 */
public class SingleTouch extends ext.event.gesture.GestureRecognizer {
  /**
   * @inheritDoc
   */
  public function SingleTouch(config:ext.event.gesture.GestureRecognizer = null) {
    super();
  }
}
}