package ext.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class GlobalEvents_width_heightEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the browser window is resized. To avoid running resize handlers
   * too often resulting in sluggish window resizing, resize events use a buffer
   * of 100 milliseconds.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.GlobalEvents.html#event-resize Original Ext JS documentation of 'resize'
   * @see ext.SGlobalEvents
   * @eventType onResize
   */
  public static const RESIZE:String = "onResize";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function GlobalEvents_width_heightEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The new height
   */
  public native function get height():Number;

  /**
   * The new width
   */
  public native function get width():Number;
}
}