package ext.form.action {
import ext.Mixin;

[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Native("Ext.form.action.DirectAction", require)]
[ExcludeClass]
/**
 * A mixin that contains methods specific to Ext Direct actions shared
 * by DirectLoad and DirectSubmit.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.form.action.DirectAction.html Original Ext JS documentation of 'Ext.form.action.DirectAction'
 */
public class DirectAction extends ext.Mixin implements ext.form.action.IDirectAction {}
}