package ext.form.field.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ComboBox_queryPlanEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before all queries are processed. Return false to cancel the query or set the queryPlan's cancel
   * property to true.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.form.field.ComboBox.html#event-beforequery Original Ext JS documentation of 'beforequery'
   * @see ext.form.field.ComboBox
   * @eventType onBeforeQuery
   */
  public static const BEFORE_QUERY:String = "onBeforeQuery";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ComboBox_queryPlanEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * An object containing details about the query to be executed.
   */
  public native function get queryPlan():Object;
}
}