package ext.fx.target {

[Native("Ext.fx.target.CompositeSprite", require)]
/**
 * This class represents a animation target for a <code>Ext.draw.sprite.Composite</code>. It allows
 * each <code>Ext.draw.sprite.Sprite</code> in the group to be animated as a whole. In general this class will not be
 * created directly, the <code>Ext.draw.sprite.Composite</code> will be passed to the animation and
 * and the appropriate target will be created.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.fx.target.CompositeSprite.html Original Ext JS documentation of 'Ext.fx.target.CompositeSprite'
 */
public class CompositeSpriteTarget extends Object {}
}