package ext.grid.property {
import ext.grid.header.HeaderContainer;

[Uses("ext.grid.header.HeaderContainer")]
[Uses("ext.util.FocusableContainer")]
[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Uses("ext.container.Container")]
[Uses("ext.mixin.Queryable")]
[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Uses("ext.mixin.Container")]
[Native("Ext.grid.property.HeaderContainer", require)]
/**
 * A custom HeaderContainer for the <code>ext.grid.property.PropertyGrid</code>.
 * Generally it should not need to be used directly.
 * @see ext.grid.property.PropertyGrid
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.property.HeaderContainer.html Original Ext JS documentation of 'Ext.grid.property.HeaderContainer'
 */
public class PropertyGridHeaderContainer extends ext.grid.header.HeaderContainer {
  /**
   * Creates new HeaderContainer.
   * @param grid The grid this store will be bound to
   * @param source The source data config object
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.property.HeaderContainer.html#method-constructor Original Ext JS documentation of 'constructor'
   */
  public function PropertyGridHeaderContainer(grid:ext.grid.property.PropertyGrid, source:Object) {
    super();
  }
}
}