package ext.list.events {
import ext.list.Tree;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractTreeItem_sender_infoEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * @since 6.0.1
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.list.AbstractTreeItem.html#event-itemclick Original Ext JS documentation of 'itemclick'
   * @see ext.list.AbstractTreeItem
   * @eventType onItemClick
   */
  public static const ITEM_CLICK:String = "onItemClick";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function AbstractTreeItem_sender_infoEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get info():Object;

  /**
   * The <code>treelist</code> that fired this event.
   */
  public native function get sender():ext.list.Tree;
}
}