package ext.list.events {
import ext.Mixin;
import ext.data.TreeModel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Tree_recordEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * This event fires when <code>selection</code> changes
   * @see ext.list.Tree#selection
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.list.Tree.html#event-selectionchange Original Ext JS documentation of 'selectionchange'
   * @see ext.list.Tree
   * @eventType onSelectionChange
   */
  public static const SELECTION_CHANGE:String = "onSelectionChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Tree_recordEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The currently selected node.
   */
  public native function get record():ext.data.TreeModel;

  public native function get source():ext.Mixin;
}
}