package ext.mixin {
import ext.Mixin;

[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Native("Ext.mixin.ComponentDelegation", require)]
[ExcludeClass]
/**
 * A mixin that gives Ext.Component and Ext.Widget the ability to process the "delegate"
 * event option.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.mixin.ComponentDelegation.html Original Ext JS documentation of 'Ext.mixin.ComponentDelegation'
 */
public class ComponentDelegation extends ext.Mixin implements ext.mixin.IComponentDelegation {}
}