package ext.mixin {
import ext.IMixin;

[Uses("ext.Mixin")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Base")]
[Mixin("ext.mixin.ComponentDelegation")]
/**
 * A mixin that gives Ext.Component and Ext.Widget the ability to process the "delegate"
 * event option.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.mixin.ComponentDelegation.html Original Ext JS documentation of 'Ext.mixin.ComponentDelegation'
 * @see ext.mixin.ComponentDelegation
 */
public interface IComponentDelegation extends ext.IMixin {}
}