package ext.panel {
import ext.Mixin;

[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Native("Ext.panel.Pinnable", require)]
[ExtConfig]
/**
 * This mixin is applied to panels that want to manage a Pin state and corresponding tool.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Pinnable.html Original Ext JS documentation of 'Ext.panel.Pinnable'
 */
public class Pinnable extends ext.Mixin {}
}