package ext.picker.events {
import ext.picker.DatePicker;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DatePicker_dateEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a date is selected
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.picker.Date.html#event-select Original Ext JS documentation of 'select'
   * @see ext.picker.DatePicker
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DatePicker_dateEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The selected date
   */
  public native function get date():Date;

  /**
   * DatePicker
   */
  public native function get source():ext.picker.DatePicker;
}
}