package ext.resizer {
import ext.Component;

[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.Base")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Native("Ext.resizer.Handle", require)]
/**
 * Provides a handle for 9-point resizing of Elements or Components.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.resizer.Handle.html Original Ext JS documentation of 'Ext.resizer.Handle'
 */
public class Handle extends ext.Component {
  /**
   * @param config @inheritDoc
   */
  public function Handle(config:ext.resizer.Handle = null) {
    super();
  }
}
}