package ext.util {

[Uses("ext.util.Collection")]
[Uses("ext.mixin.Observable")]
[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Uses("ext.mixin.Identifiable")]
[Native("Ext.util.Group", require)]
/**
 * Encapsulates a grouped collection of records within a <code>ext.util.Collection</code>
 * @see ext.util.Collection
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.Group.html Original Ext JS documentation of 'Ext.util.Group'
 */
public class Group extends ext.util.Collection {
  /**
   * @param config @inheritDoc
   */
  public function Group(config:ext.util.Group = null) {
    super();
  }
}
}