package ext.view.events {
import ext.event.Event;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class NavigationModelView_event_keyEventEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when a key has been used to navigate around the view.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.view.NavigationModel.html#event-navigate Original Ext JS documentation of 'navigate'
   * @see ext.view.NavigationModelView
   * @eventType onNavigate
   */
  public static const NAVIGATE:String = "onNavigate";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function NavigationModelView_event_keyEventEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get event():Object;

  /**
   * The key event which caused the navigation.
   */
  public native function get keyEvent():ext.event.Event;
}
}